Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.taskui
Interface TaskUIManager

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead. Human Task processing functionality is handled by the new Universal Tasklist Portlet.

    public interface TaskUIManager

The TaskUIManager is a IBM Portal API service that provides functionality to manage the UI elements that were created for the processing of a task.

Since:
  5.1

Method Summary
`void` | `closeDynamicUI(ActionEvent actionEvent, TaskUIHandle handle)` Deprecated. Closes the task UI element that is identified by the passed TaskUIHandle.
`void` | `setPage(ActionEvent actionEvent, ObjectID objectID)` Deprecated. Sets the page that should be displayed in the render phase following this action phase.

Method Detail

### closeDynamicUI

    void closeDynamicUI(ActionEvent actionEvent,
                        TaskUIHandle handle)
                        throws TaskUIManagerException

  Deprecated.
  Closes the task UI element that is identified by the passed TaskUIHandle. None of the parameters is allowed to be `null` . The passed action event must be the original one passed to the portlet.

  Parameters:
    `actionEvent` - The action event.
    `handle` - The TaskUIHandle.
  Throws:
    `TaskUIManagerException` - Thrown if an error occurs during processing.

### setPage

    void setPage(ActionEvent actionEvent,
                 ObjectID objectID)
                 throws TaskUIManagerException

  Deprecated.
  Sets the page that should be displayed in the render phase following this action phase. None of the parameters is allowed to be `null` . The passed action event must be the original one passed to the portlet.

  Parameters:
    `actionEvent` - The action event.
    `objectID` - The id of the page to be selected.
  Throws:
    `TaskUIManagerException` - Thrown if an error occurs during processing.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD